# -*- coding: utf-8 -*-





<Designer>:
    name: "Designer"
    BoxLayout:
        canvas.before:
            Color:
                rgba: bg_col
            Rectangle:
                size: self.size
                pos: self.pos

        ScrollView:
            id: scrlv
            size_hint_y: None
            height: 800

            BoxLayout:
                id: form
                orientation: "vertical"
                size_hint: 1,None
                padding: 40,10,40,10
                spacing: 5
                pos_hint: {'center_x': 0.5}

                BoxLayout:
                    size_hint: 1,None
                    height: 60
                    spacing: 10

                    Label:

                    TextInput:
                        multiline: False
                        size_hint: None, None
                        size: (200,35)
                        pos_hint: {'center_y': 0.5}
                        font_size: 16
                        font_name: "data/Tahoma Regular font.ttf"

                    Label_f:
                        id: gd_name
                        text:strs.azmon_name
                        font_size: 18
                        size_hint: None ,1
                        width: 90
                        color: 0,0,0,1

                    Label:
                        id: empty
                        size_hint: None,1
                        width: 30


                BoxLayout:
                    size_hint: 1, None
                    height: 300
                    pos_hint: {'center_x': 0.5}


                    BoxLayout:
                        size_hint_x: 0.5
                        orientation: "vertical"

                        BoxLayout:
                            size_hint: 1, None
                            height: 50
                            canvas.before:
                                Color:
                                    rgba: 0,0,0,0.6
                                Line:
                                    width: 1
                                    points: self.pos[0]+30,self.pos[1]+5,self.pos[0]+self.size[0]-30,self.pos[1]+5
                            Label:

                            Label_f:
                                text:strs.pasokh
                                size_hint: None,1
                                color: 0,0,0,1
                                bold: True
                                font_size: 24
                            Label:
                                id: empty
                                size_hint: None,1
                                width: 10


                        BoxLayout:
                            spacing: 30
                            padding: 5

                            Label:

                            BoxLayout:
                                orientation: "vertical"

                                size_hint: None, None
                                size:(120,220)
                                pos_hint:{'top':0.9}
                                spacing: 5

                                BoxLayout:
                                    orientation: "vertical"
                                    size_hint: None,None
                                    size: (85,80)
                                    spacing: 2
                                    Label_f:
                                        text:strs.pasokh_show_type
                                        font_size: 18
                                        color: 0,0,0,1

                                    C_Spinner:
                                        id: pasokh_type_2
                                        size_hint: None,None
                                        height: 50
                                        width: 85

                                BoxLayout:
                                    orientation: "vertical"
                                    size_hint: None, None
                                    size: 85, 80
                                    spacing: 2

                                    Label_f:
                                        color: 0,0,0,1
                                        text:strs.pasokh_count
                                        font_size: 18
                                    SpinBox:
                                        rdisabled: True
                                        id: pasokh_count
                                        size_hint: 1, None
                                        height: 50
                                        val: root.ids.moharek_count.val
                                        min: 1
                                        max: root.ids.moharek_count.val


                                BoxLayout:
                                    orientation: "vertical"
                                    size_hint: None,None
                                    size: (85,80)
                                    spacing: 2
                                    Label_f:
                                        text:strs.pasokh_type
                                        font_size: 18
                                        color: 0,0,0,1

                                    C_Spinner:
                                        id: pasokh_type
                                        size_hint: None,None
                                        height: 50
                                        width: 85


                                Label:




                    BoxLayout:
                        size_hint_x: 0.5
                        orientation: 'vertical'

                        BoxLayout:
                            size_hint: 1, None
                            height: 50
                            canvas.before:
                                Color:
                                    rgba: 0,0,0,0.6
                                Line:
                                    width: 1
                                    points: self.pos[0]+30,self.pos[1]+5,self.pos[0]+self.size[0]-30,self.pos[1]+5
                            Label:
                            Label_f:
                                text:strs.moharek
                                size_hint: None,1
                                color: 0,0,0,1
                                font_size: 24
                                bold: True
                            Label:
                                id: empty
                                size_hint: None,1
                                width: 10

                        BoxLayout:

                            spacing: 30
                            padding: 5
                            Label:

                            BoxLayout:

                                orientation: "vertical"
                                size_hint: None,None
                                size: (120,120)
                                pos_hint:{'top':0.9}
                                spacing: 5
                                Label_f:
                                    color: 0,0,0,1
                                    text:strs.moharek_level
                                    font_size: 18
                                BoxLayout:
                                    size_hint_x: 0.8
                                    pos_hint:{'right':0.9}
                                    spacing: 3
                                    Label_f:
                                        color: 0,0,0,1
                                        text:strs.level_1
                                        font_size: 18
                                    CheckBox:
                                        color: 0.1,0.6,1,3
                                        group: "sheddat"
                                BoxLayout:
                                    size_hint_x: 0.8
                                    pos_hint:{'right':0.9}
                                    spacing: 3
                                    Label_f:
                                        color: 0,0,0,1
                                        text:strs.level_2
                                        font_size: 18

                                    CheckBox:
                                        color: 0.1,0.6,1,3
                                        group: "sheddat"
                                BoxLayout:
                                    size_hint_x: 0.8
                                    pos_hint:{'right':0.9}
                                    spacing: 3
                                    Label_f:
                                        color: 0,0,0,1
                                        text:strs.level_3
                                        font_size: 18
                                    CheckBox:
                                        color: 0.1,0.6,1,3
                                        group: "sheddat"

                            BoxLayout:
                                orientation: "vertical"
                                size_hint: None,None
                                size: (160,120)
                                pos_hint:{'top':0.9}
                                spacing: 25

                                Label:
                                BoxLayout:
                                    size_hint: None,None
                                    size: (80,15)
                                    spacing: 8
                                    pos_hint:{'right':1}
                                    Label_f:
                                        text:strs.ensedad
                                        font_size: 16
                                        color: 0,0,0,1
                                    CheckBox:
                                        id: ensedad
                                        color: 0.1,0.6,1,3

                                        size_hint_x: None
                                        width: 15
                                BoxLayout:
                                    size_hint: None,None
                                    size: (160,15)
                                    spacing: 8
                                    pos_hint:{'right':1}
                                    Label_f:
                                        text:strs.double_moharek
                                        font_size: 16
                                        color: 0,0,0,1
                                    CheckBox:
                                        id: noise
                                        size_hint_x: None
                                        width: 15
                                        color: 0.1,0.6,1,3
                                        on_active: root.show_selection() if self.active else None
                                Label:

                            BoxLayout:
                                orientation: "vertical"
                                size_hint: None,None
                                size: (120,220)
                                pos_hint:{'top':0.9}
                                spacing: 5
                                BoxLayout:
                                    orientation: "vertical"
                                    size_hint: None,None
                                    size: (85,80)
                                    spacing: 2
                                    Label_f:
                                        text: strs.moharek_show_type
                                        color: 0,0,0,1
                                        font_size: 18
                                    C_Spinner:
                                        id: moharek_type_2
                                        size_hint: None,None
                                        pos_hint:{'right':1}
                                        height: 50
                                        width: 85
                                BoxLayout:
                                    orientation: "vertical"
                                    size_hint: None,None
                                    size: (85,80)
                                    Label_f:
                                        text:strs.moharek_count
                                        color: 0,0,0,1
                                        font_size: 18
                                    SpinBox:
                                        id: moharek_count
                                        size_hint: 1, None
                                        height: 50
                                        val: 3
                                        min: 1
                                        max: 10
                                BoxLayout:
                                    orientation: "vertical"
                                    size_hint: None,None
                                    size: (85,80)
                                    spacing: 2
                                    Label_f:
                                        text:strs.moharek_type
                                        color: 0,0,0,1
                                        font_size: 18
                                    C_Spinner:
                                        id: moharek_type
                                        size_hint: None,None
                                        height: 50
                                        width: 85


                BoxLayout:
                    orientation: 'vertical'
                    size_hint: 1, None
                    height: 300
                    spacing: 10
                    BoxLayout:
                        size_hint: 1, None
                        height: 50
                        canvas.before:
                            Color:
                                rgba: 0,0,0,0.6
                            Line:
                                width: 1
                                points: self.pos[0]+30,self.pos[1]+5,self.pos[0]+self.size[0]-30,self.pos[1]+5
                        Label:
                        Label_f:
                            text:strs.pishneshane
                            size_hint: None,1
                            color: 0,0,0,1
                            font_size: 24
                            bold: True
                        Label:
                            id: empty
                            size_hint: None,1
                            width: 35

                    BoxLayout:
                        spacing: 30
                        padding: 30,5,40,5
                        size_hint_y: None
                        height: 100
                        Label:


                        BoxLayout:
                            orientation: 'vertical'
                            size_hint: None,None
                            size: (450, 200)
                            pos_hint:{'top': 0.95}
                            spacing: 2
                            Label_f:
                                size_hint_x: None
                                width: 70
                                pos_hint: {'right': 1}
                                text:strs.description
                                font_size: 18
                                color: 0,0,0,1
                            Fa_text_2:
                                size_hint_y:None
                                height:160
                                text: ""
                                multiline: True
                                max_chars: 500

                        Label:
                            size_hint_x: None
                            width: 60

                        BoxLayout:
                            orientation: 'vertical'
                            size_hint: None,None
                            size: (250, 160)
                            pos_hint:{'top': 0.95}
                            Label_f:
                                text:strs.pishdore_show_type
                                color: 0,0,0,1
                                font_size: 18
                                size_hint_x: None
                                width: 70
                                pos_hint: {'right': 1}

                            C_Spinner:
                                id: pishdore_type
                                size_hint: None,None
                                height: 50
                                width: 250
                            Label_f:
                                text:strs.pishdore_time
                                color: 0,0,0,1
                                font_size: 18
                                size_hint_x: None
                                width: 70
                                pos_hint: {'right': 1}

                            SpinBox:
                                size_hint: None, None
                                width: 100
                                height: 50
                                val: 3.0
                                min: 0.0
                                max: 60.0
                                steping: 0.1
                                bound: 2.0
                                pasvand: 's'

                        BoxLayout:
                            orientation: 'vertical'
                            size_hint: None,None
                            size: (150, 80)
                            pos_hint:{'top': 0.95}
                            Label_f:
                                size_hint_x: None
                                width: 120
                                pos_hint: {'right': 1}
                                text:strs.pishneshane_type
                                color: 0,0,0,1
                                font_size: 18

                            C_Spinner:
                                id: pishneshane_type
                                size_hint: None,None
                                height: 50
                                width: 150

                    Label:





                BoxLayout:
                    orientation: 'vertical'
                    size_hint: 1, None
                    height: 300
                    spacing: 10
                    BoxLayout:
                        size_hint: 1, None
                        height: 50
                        canvas.before:
                            Color:
                                rgba: 0,0,0,0.6
                            Line:
                                width: 1
                                points: self.pos[0]+30,self.pos[1]+5,self.pos[0]+self.size[0]-30,self.pos[1]+5
                        Label:
                        Label_f:
                            text:strs.timing
                            size_hint: None,1
                            color: 0,0,0,1
                            font_size: 24
                            bold: True
                        Label:
                            id: empty
                            size_hint: None,1
                            width: 35

                    BoxLayout:
                        spacing: 30
                        padding: 30,5,40,5
                        size_hint_y: None
                        height: 100

                        Label:
                        BoxLayout:
                            id: sazegary
                            orientation: "vertical"
                            size_hint: None, None
                            size: 210, 90
                            disabled: True
                            Label_f:
                                color: 0,0,0,1
                                text:strs.moharek_pasokh_rel
                                font_size: 18

                            BoxLayout:
                                size_hint_X: None
                                Label_f:
                                    color: 0,0,0,1
                                    size_hint_X: None
                                    pos_hint:{'right': 1}
                                    text:strs.sazegar
                                    font_size: 16
                                CheckBox:
                                    group: "1"
                                    color: 0,0.6,1,3
                                    active: True

                            BoxLayout:
                                size_hint_X: None
                                Label_f:
                                    color: 0,0,0,1
                                    size_hint_X: None
                                    pos_hint:{'right': 1}
                                    text:strs.nasazegar
                                    font_size: 16
                                CheckBox:
                                    group: "1"
                                    color: 0,0.6,1,3

                        BoxLayout:
                            orientation: 'vertical'
                            size_hint: None, None
                            size: 180,90
                            spacing: 10

                            Label_f:
                                text:strs.vakonesh_time_type
                                font_size: 18
                                color: 0,0,0,1
                                size_hint_x: None
                                pos_hint: {'right':1}

                            C_Spinner:
                                id: vakonesh_time
                                size_hint: None,None
                                height: 50
                                width: 180

                    Label:







                BoxLayout:
                    size_hint: 1,None
                    height: 60
                    spacing: 10
                    canvas.before:
                        Color:
                            rgba: .1,0,0.6,1
                        Rectangle:
                            size: self.size
                            pos: self.pos

                    Label_f:
                        text: "Advanced Setting"


                BoxLayout:
                    size_hint: 1,None
                    height: 64
                    spacing: 10

                    Label:
                        size_hint_x: None
                        width: 90
                    Button:
                        size_hint: None, None
                        size: 64, 64
                        background_normal: "data/icons/save.png"
                        on_release: root.save()



        Slider:
            id: slider
            size_hint_x: None
            width: 15
            orientation: 'vertical'
            min:0
            max: 1
            value: 1
            step: 0.01
